package net.wanji.databus.dao.mapper;

import feign.Param;
import net.wanji.databus.dao.entity.GreenwaveRealtimePO;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/10/31 11:03
 */
@Repository
public interface GreenwaveRealtimeMapper {
    GreenwaveRealtimePO selectById(Integer id);

    int insertBatch(@Param("list") List<GreenwaveRealtimePO> list);

    int deleteOne(@Param("greenId") Integer greenId);

    void deleteBatch(@Param("list") Collection<Integer> greenIds);

}
